<td-layout>
  <td-layout-nav-list #navList [opened]="media.registerQuery('gt-sm') | async" [mode]="(media.registerQuery('gt-sm') | async) ? 'side' : 'over'"
    [sidenavWidth]="(media.registerQuery('gt-xs') | async) ? '350px' : '100%'">
    <div td-sidenav-toolbar-content layout="row" layout-align="start center">
      &nbsp;&nbsp;
      <span>Bolsa de Comercio APP</span>
    </div>
    <div td-toolbar-content layout="row" layout-align="start center" flex>
      <button mat-icon-button tdLayoutNavListOpen [hideWhenOpened]="true">
        <mat-icon>arrow_back</mat-icon>
      </button>
      <span></span>
      <span flex></span>
      <a mat-icon-button matTooltip="Repositorio gitlab" href="https://gitlab.com/r.henriquez.moreno/bolsa-comercio" target="_blank">
        <mat-icon svgIcon="assets:gitlab"></mat-icon>
      </a>
    </div>
    <mat-nav-list td-sidenav-content [tdLayoutNavListClose]="!media.query('gt-sm')">
      <ng-template let-item let-last="last" ngFor [ngForOf]="navmenu">
        <a mat-list-item routerLink="{{item.route}}" routerLinkActive="active">
          <mat-icon matListAvatar>{{item.icon}}</mat-icon>
          <h3 matLine> {{item.title}} </h3>
          <p matLine> {{item.description}} </p>
        </a>
        <mat-divider [inset]="true" *ngIf="!last"></mat-divider>
      </ng-template>
    </mat-nav-list>
    <router-outlet></router-outlet>
    <td-layout-footer>
      <div layout="row" layout-align="start center">
        <span class="mat-caption">Prueba técnica - Rodrigo Ignacio Henríquez Moreno</span>
      </div>
    </td-layout-footer>
  </td-layout-nav-list>
</td-layout>